# Migration Guide: v1 → v2

## 1. Request Body Changes

**v1**

```
{
    "post_code": "3024XL",
    "house_number": "227",
    "house_addition": "B"
}
```

**v2**

```
{
    "postcode": "3024XL",
    "housenumber": "227",
    "houseaddition": "B"
}
```

## 2. Input Changes

### a. Basic Features

#### New Inputs

* `electric_cooking`
* `cooling`
* `apartment_type`

#### Solar Panel Input Changes

The `solar_panels` structure has changed from a **single integer value** to a **list describing individual solar panel installations**.

New solar panel related fields include:

* `solar_panels` (per solar panel)
  * `pv_total_watt_peak`
  * `pv_area`
  * `specific_watt_peak`
  * `angle`
  * `orientation`

## 3. Output Changes

The response structure now includes additional fields and updated naming.

#### New Outputs

* `cooling`
* `electric_cooking`
* `solar_panels` (per solar panel)
  * `roof_surface`
  * `original_watt_peak_capacity`
  * `total_watt_peak_capacity`
  * `inclination_angle`
  * `orientation`

## 4. Feature Value Changes

The value range for several features has changed.

Previously these values ranged from **0–3**, but they now range from **1–4**.

Affected features include:

* `wall_insulation`
* `floor_insulation`
* `roof_insulation`
* `living_room_windows`

#### Example

**v1**

```
1 = mediocre wall insulation
```

**v2**

```
2 = mediocre wall insulation
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/english/sustainability/nta-8800-energylabel-v2-api/apartments/migration-guide-v1-v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
